ome-xml 5.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ome::xml::model::primitives::PercentFractionConstraint< N > Struct Template Reference

Constraint for fractional floating point values. More...

`#include <ome/xml/model/primitives/NumericConstraints.h>`

## Public Member Functions
bool | operator() (const N &value) const
| Check that 0.0 <= value <= 1.0. More...

## Detailed Description

### template<typename N>
struct ome::xml::model::primitives::PercentFractionConstraint< N >

Constraint for fractional floating point values.

Template Parameters

  N | the type to constrain.

## Member Function Documentation

template<typename N >

bool ome::xml::model::primitives::PercentFractionConstraint< N >::operator() | ( | const N & | value | ) | const
| inline

Check that 0.0 <= value <= 1.0.

Returns
  true if the value is valid, false if invalid.

Parameters

  value | the value to check.

The documentation for this struct was generated from the following file:

- ome/xml/model/primitives/NumericConstraints.h